Index: /sandbox/webservice/restclient/restclient.php
===================================================================
--- /sandbox/webservice/restclient/restclient.php	(revision 6092)
+++ /sandbox/webservice/restclient/restclient.php	(revision 6156)
@@ -48,4 +48,30 @@
 					"auth"	 => $auth,
 					"search" => $search
+				);
+			break;
+
+		case 'Mail/RenameFolder':
+			$requestID = 5;
+			$params = array (
+					"auth"			=> $auth,
+					"folderID"		=> $_REQUEST['params']['folderID'],
+					"folderName"	=> $_REQUEST['params']['newFolderName']
+				);
+			break;
+
+		case 'Mail/AddFolder':
+			$requestID = 5;
+			$params = array (
+					"auth"				=> $auth,
+					"parentFolderID"	=> $_REQUEST['params']['folderID'],
+					"folderName"		=> $_REQUEST['params']['newFolderName']
+				);
+			break;
+
+		case 'Mail/DelFolder':
+			$requestID = 5;
+			$params = array (
+					"auth"		=> $auth,
+					"folderID"	=> $_REQUEST['params']['folderID']
 				);
 			break;
Index: /sandbox/webservice/restclient/index.html
===================================================================
--- /sandbox/webservice/restclient/index.html	(revision 6092)
+++ /sandbox/webservice/restclient/index.html	(revision 6156)
@@ -62,11 +62,21 @@
 		<TABLE>
 			<TR><TD><b>Pastas IMAP</b></TD>
-				<TD><input type="text" id="search_folders"/><input id="bt_listFolders" type="button" value="Pesquisar" onclick="javascript:jExecute('Mail/Folders')"/>
-					<select id="folder_id" onchange="javascript:jExecute('Mail/Messages')"><option value="INBOX">Selecionar pasta</option></select>
+				<TD><input type="text" id="search_folders"/><input id="bt_listFolders" type="button" value="Pesquisar" onclick="javascript:jExecute('Mail/Folders')"/></TD>
+				<TD colspan=2><select id="folder_id" onchange="javascript:jExecute('Mail/Messages')"><option value="INBOX">Selecionar pasta</option></select>
 					<select id="message_id" onchange="javascript:jExecute('getMessage')"><option value="-1">Selecionar mensagem</option></select>
 				</TD>
 			</TR>
+			<TR><TD></TD><TD></TD>
+				<TD colspan=2><input id="bt_del_folder" type="button" value="Apagar Pasta" onclick="javascript:jExecute('DelFolder')"/></TD>
+			</TR>
+			<TR><TD></TD><TD></TD>
+				<TD><input type="text" id="new_folder_name"/></TD>
+				<TD>
+					<input id="bt_add_folder" type="button" value="Adicionar Pasta" onclick="javascript:jExecute('AddFolder')"/><br>
+					<input id="bt_rename_folder" type="button" value="Renomear Pasta" onclick="javascript:jExecute('RenameFolder')"/>
+				</TD>
+			</TR>
 			<TR><TD><b>Contatos</b></TD>
-				<TD><input type="text" id="search_contacts"/><input id="bt_contacts" type="button" value="Pesquisar" onclick="javascript:jExecute('getContacts')"/>
+				<TD colspan=3><input type="text" id="search_contacts"/><input id="bt_contacts" type="button" value="Pesquisar" onclick="javascript:jExecute('getContacts')"/>
 					<select id="sel_contacts" onchange="javascript:jExecute('getContactPicture')"><option value="-1">Selecionar contato</option></select>
 
@@ -74,5 +84,5 @@
 			</TR>
 			<TR><TD><b>Catalogo</b></TD>
-				<TD>
+				<TD colspan=3>
 					<input type="text" id="search_catalog"/><input id="bt_catalog" type="button" value="Pesquisar" onclick="javascript:jExecute('getCatalog')"/>
 					<select id="sel_catalog" onchange="javascript:jExecute('getCatalogPicture')"><option value="-1">Selecionar contato</option></select>
@@ -133,4 +143,7 @@
 				$('#bt_catalog').attr("disabled", true);
 				$('#bt_listFolders').attr("disabled", true);
+				$('#bt_del_folder').attr("disabled", true);
+				$('#bt_add_folder').attr("disabled", true);
+				$('#bt_rename_folder').attr("disabled", true);
 
 				$('#folder_id').attr("disabled", true);
@@ -141,4 +154,5 @@
 				$('#search_catalog').attr("disabled", true);
 				$('#search_folders').attr("disabled", true);
+				$('#new_folder_name').attr("disabled", true);
 
 				clearOut();
@@ -165,4 +179,8 @@
 				}
 				$('#folder_id').attr("disabled", false);
+				$('#new_folder_name').attr("disabled", false);
+				$('#bt_del_folder').attr("disabled", false);
+				$('#bt_add_folder').attr("disabled", false);
+				$('#bt_rename_folder').attr("disabled", false);
 			}
 			if(a_response.result.messages && a_response.result.messages.length > 1) {
@@ -240,4 +258,13 @@
 			case 'Mail/Folders':
 				_search = '#search_folders';
+				break;
+			case 'AddFolder':
+				_action = 'Mail/AddFolder';
+				break;
+			case 'DelFolder':
+				_action = 'Mail/DelFolder';
+				break;
+			case 'RenameFolder':
+				_action = 'Mail/RenameFolder';
 				break;
 			case 'getMessages':
@@ -293,5 +320,6 @@
 							message: _message,
 			  				contactType:  _contactType,
-			  				search:  $(_search).val(),
+							search:  $(_search).val(),
+							newFolderName: $('#new_folder_name').val(),
 			  				method: _method
 			  			},
@@ -364,6 +392,10 @@
 	$('#search_catalog').attr("disabled", isLoggedIn ? false : true);
 	$('#search_folders').attr("disabled", isLoggedIn ? false : true);
+	$('#new_folder_name').attr("disabled", isLoggedIn ? false : true);
 	$('#bt_contacts').attr("disabled", isLoggedIn ? false : true);
 	$('#bt_catalog').attr("disabled", isLoggedIn ? false : true);
+	$('#bt_del_folder').attr("disabled", isLoggedIn ? false : true);
+	$('#bt_add_folder').attr("disabled", isLoggedIn ? false : true);
+	$('#bt_rename_folder').attr("disabled", isLoggedIn ? false : true);
 	$('#bt_version').attr("disabled", false);
 	$('#bt_clear').attr("disabled", false);