Index: trunk/expressoAdmin1_2/inc/class.uimaillists.inc.php
===================================================================
--- trunk/expressoAdmin1_2/inc/class.uimaillists.inc.php	(revision 5593)
+++ trunk/expressoAdmin1_2/inc/class.uimaillists.inc.php	(revision 6157)
@@ -167,6 +167,4 @@
 		function add_maillists()
 		{
-				$GLOBALS['phpgw']->js->set_onload('get_available_users(document.forms[0].org_context.value, document.forms[0].ea_check_allUsers.checked);');
-
 			$manager_lid = $GLOBALS['phpgw']->accounts->data['account_lid'];
 			$manager_acl = $this->functions->read_acl($manager_lid);
@@ -215,6 +213,4 @@
 		function edit_maillists()
 		{
-			$GLOBALS['phpgw']->js->set_onload('get_available_users(document.forms[0].org_context.value, document.forms[0].ea_check_allUsers.checked);');
-
 			$manager_lid = $GLOBALS['phpgw']->accounts->data['account_lid'];
 			$manager_acl = $this->functions->read_acl($manager_lid);
@@ -315,6 +311,4 @@
 		function scl_maillists()
 		{
-			$GLOBALS['phpgw']->js->set_onload('get_available_users(document.forms[0].org_context.value, document.forms[0].ea_check_allUsers.checked);');
-			
 			$manager_lid = $GLOBALS['phpgw']->accounts->data['account_lid'];
 			$manager_acl = $this->functions->read_acl($manager_lid);
Index: trunk/expressoAdmin1_2/inc/class.uigroups.inc.php
===================================================================
--- trunk/expressoAdmin1_2/inc/class.uigroups.inc.php	(revision 5593)
+++ trunk/expressoAdmin1_2/inc/class.uigroups.inc.php	(revision 6157)
@@ -167,5 +167,4 @@
 		function add_groups()
 		{
-			$GLOBALS['phpgw']->js->set_onload('get_available_users(document.forms[0].org_context.value, document.forms[0].ea_check_allUsers.checked);');
 			if ($this->current_config['expressoAdmin_samba_support'] == 'true')
 				$GLOBALS['phpgw']->js->set_onload('get_available_sambadomains(document.forms[0].context.value, \'create_group\');');
@@ -246,6 +245,4 @@
 		function edit_groups()
 		{
-			$GLOBALS['phpgw']->js->set_onload('get_available_users(document.forms[0].org_context.value, document.forms[0].ea_check_allUsers.checked);');
-
 			$manager_lid = $GLOBALS['phpgw']->accounts->data['account_lid'];
 			$manager_acl = $this->functions->read_acl($manager_lid);
Index: trunk/expressoAdmin1_2/js/jscode/expressoadmin.js
===================================================================
--- trunk/expressoAdmin1_2/js/jscode/expressoadmin.js	(revision 5133)
+++ trunk/expressoAdmin1_2/js/jscode/expressoadmin.js	(revision 6157)
@@ -25,11 +25,15 @@
 	var handler_associated_domain = function(data)
 	{
-		if (data != null)
+		if( document.forms[0].associated_domain )
 		{
-			document.forms[0].associated_domain.value = data;
-		}
-		else
-		{
-			document.forms[0].associated_domain.value = '';
+			if ( data != null )
+			{
+				document.forms[0].associated_domain.value = data;
+			}
+			else
+			{
+
+				document.forms[0].associated_domain.value = '';
+			}
 		}
 	};
@@ -63,5 +67,5 @@
 				if( i < (organization_name.length - 1) ) context +=  '.';
 			}
-			if (document.forms[0].associated_domain.value != '')
+			if( document.forms[0].associated_domain && document.forms[0].associated_domain.value != '' )
 			{
 				associatedDomain_name = document.forms[0].associated_domain.value;
Index: trunk/expressoAdmin1_2/templates/default/shared_accounts_modal.tpl
===================================================================
--- trunk/expressoAdmin1_2/templates/default/shared_accounts_modal.tpl	(revision 5907)
+++ trunk/expressoAdmin1_2/templates/default/shared_accounts_modal.tpl	(revision 6157)
@@ -112,7 +112,4 @@
 			<select name="org_context" id="ea_combo_org_available_users" >{all_organizations}</select>
 			<br>
-			<!--
-			<input type="checkbox" name="ea_check_allUsers" id="ea_check_allUsers">{lang_all_users}.
-			-->
 			<br><br>
 							
Index: trunk/expressoAdmin1_2/templates/default/institutional_accounts_modal.tpl
===================================================================
--- trunk/expressoAdmin1_2/templates/default/institutional_accounts_modal.tpl	(revision 5133)
+++ trunk/expressoAdmin1_2/templates/default/institutional_accounts_modal.tpl	(revision 6157)
@@ -49,7 +49,4 @@
 			<select name="org_context" id="ea_combo_org_available_users" onchange="javascript:get_available_users(this.value);">{all_organizations}</select>
 			<br />
-			<!--
-			<input type="checkbox" name="ea_check_allUsers" id="ea_check_allUsers" onclick="javascript:get_available_users(org_context.value, this.checked);">{lang_all_users}.
-			-->
 			<br /><br />
 							
Index: trunk/expressoAdmin1_2/templates/default/maillists_form.tpl
===================================================================
--- trunk/expressoAdmin1_2/templates/default/maillists_form.tpl	(revision 5133)
+++ trunk/expressoAdmin1_2/templates/default/maillists_form.tpl	(revision 6157)
@@ -64,7 +64,4 @@
 							<select name="org_context" id="ea_combo_org_maillists" onchange="javascript:get_available_users(this.value, ea_check_allUsers.checked);">{combo_all_orgs}</select>
 							<br>
-							<!--
-							<input type="checkbox" name="ea_check_allUsers" id="ea_check_allUsers" onclick="javascript:get_available_users(org_context.value, this.checked);">{lang_show_users_from_all_sub-organizations}.
-							-->
 							<br><br>
 							
Index: trunk/expressoAdmin1_2/templates/default/groups_form.tpl
===================================================================
--- trunk/expressoAdmin1_2/templates/default/groups_form.tpl	(revision 5133)
+++ trunk/expressoAdmin1_2/templates/default/groups_form.tpl	(revision 6157)
@@ -77,7 +77,4 @@
 							
 							<br>
-                                                        <!--
-							<input type="checkbox" name="ea_check_allUsers" id="ea_check_allUsers" onclick="javascript:get_available_users(org_context.value, this.checked);">{lang_show_users_from_all_sub-organizations}.
-							-->
 							<br><br>
 							