Index: /trunk/prototype/plugins/fullcalendar/fullcalendar.css
===================================================================
--- /trunk/prototype/plugins/fullcalendar/fullcalendar.css	(revision 5868)
+++ /trunk/prototype/plugins/fullcalendar/fullcalendar.css	(revision 6167)
@@ -648,2 +648,127 @@
 	filter:alpha(opacity=0); /* For IE8 and earlier */
 }
+
+/*Antigo arquivo fullcalendar.print.css*/
+
+/*
+ * FullCalendar v1.5.3 Print Stylesheet
+ *
+ * Include this stylesheet on your page to get a more printer-friendly calendar.
+ * When including this stylesheet, use the media='print' attribute of the <link> tag.
+ * Make sure to include this stylesheet IN ADDITION to the regular fullcalendar.css.
+ *
+ * Copyright (c) 2011 Adam Shaw
+ * Dual licensed under the MIT and GPL licenses, located in
+ * MIT-LICENSE.txt and GPL-LICENSE.txt respectively.
+ *
+ * Date: Mon Feb 6 22:40:40 2012 -0800
+ *
+ */
+ 
+ 
+ /* Events
+-----------------------------------------------------*/
+ 
+.fc-event-skin {
+	background: none !important;
+	color: #000 !important;
+	}
+	
+/* horizontal events */
+	
+.fc-event-hori {
+	border-width: 0 0 1px 0 !important;
+	border-bottom-style: dotted !important;
+	border-bottom-color: #000 !important;
+	padding: 1px 0 0 0 !important;
+	}
+	
+.fc-event-hori .fc-event-inner {
+	border-width: 0 !important;
+	padding: 0 1px !important;
+	}
+	
+/* vertical events */
+	
+.fc-event-vert {
+	border-width: 0 0 0 1px !important;
+	border-left-style: dotted !important;
+	border-left-color: #000 !important;
+	padding: 0 1px 0 0 !important;
+	}
+	
+.fc-event-vert .fc-event-inner {
+	border-width: 0 !important;
+	padding: 1px 0 !important;
+	}
+	
+.fc-event-bg {
+	display: none !important;
+	}
+	
+.fc-event .ui-resizable-handle {
+	display: none !important;
+	}
+
+/*Antigo fullcalendar.print.css*/
+
+/*
+ * FullCalendar v1.5.3 Print Stylesheet
+ *
+ * Include this stylesheet on your page to get a more printer-friendly calendar.
+ * When including this stylesheet, use the media='print' attribute of the <link> tag.
+ * Make sure to include this stylesheet IN ADDITION to the regular fullcalendar.css.
+ *
+ * Copyright (c) 2011 Adam Shaw
+ * Dual licensed under the MIT and GPL licenses, located in
+ * MIT-LICENSE.txt and GPL-LICENSE.txt respectively.
+ *
+ * Date: Mon Feb 6 22:40:40 2012 -0800
+ *
+ */
+ 
+ 
+ /* Events
+-----------------------------------------------------*/
+ 
+.fc-event-skin {
+	background: none !important;
+	color: #000 !important;
+	}
+	
+/* horizontal events */
+	
+.fc-event-hori {
+	border-width: 0 0 1px 0 !important;
+	border-bottom-style: dotted !important;
+	border-bottom-color: #000 !important;
+	padding: 1px 0 0 0 !important;
+	}
+	
+.fc-event-hori .fc-event-inner {
+	border-width: 0 !important;
+	padding: 0 1px !important;
+	}
+	
+/* vertical events */
+	
+.fc-event-vert {
+	border-width: 0 0 0 1px !important;
+	border-left-style: dotted !important;
+	border-left-color: #000 !important;
+	padding: 0 1px 0 0 !important;
+	}
+	
+.fc-event-vert .fc-event-inner {
+	border-width: 0 !important;
+	padding: 1px 0 !important;
+	}
+	
+.fc-event-bg {
+	display: none !important;
+	}
+	
+.fc-event .ui-resizable-handle {
+	display: none !important;
+	}
+
Index: /trunk/prototype/modules/mail/css/followupflag.css
===================================================================
--- /trunk/prototype/modules/mail/css/followupflag.css	(revision 5893)
+++ /trunk/prototype/modules/mail/css/followupflag.css	(revision 6167)
@@ -76,2 +76,135 @@
 .ZebraDialog.followupflag-alarm .message-list li:hover{ text-decoration: underline;}
 .ZebraDialog.followupflag-alarm  .display-option { color:#2363a4; cursor: pointer;}
+
+/*Antigo label.css*/
+.label-configure-win fieldset { border: 1px solid #CCC; border-radius:5px; margin:5px;}
+.label-configure-win legend { color: #707070; }
+.label-configure-win ul{text-align:left; margin: 0; padding: 0;}
+
+#windowLabels.label-configure-win { margin: 5px; padding:0;}
+.label-configure-win .input-nome { width: 135px; outline:0; background:#FFF;}
+.label-configure-win .lebals-colorpicker { border: 1px solid #CCC; height: 210px; } 
+.label-configure-win .label-conf { float: left;}
+.label-configure-win .buttons { float:right; margin:5px 5px 0 0; }
+.label-configure-win .button-close-window { float:right; margin:6px 5px 0 0; }
+.label-configure-win .colorpicker { float: right; margin: 0 30px 0 0; } 
+.label-configure-win .preview-label-inner { margin: 2px 0 0 10px; float: left; }
+
+.label-configure-win .preview-label-outer { 
+	margin: 5px; 
+	float:left; 
+	width: 151px; 
+	height: 20px;  
+	margin: 20px 0 0 130px; 
+	-moz-border-radius: 4px; 
+	-webkit-border-radius: 4px; 
+	border: 1px solid #333;
+}
+.label-configure-win .colorwell { margin: 0; outline: 0; width: 151px; }
+.label-configure-win .label-cor { float:left; width: 130px;} 
+.label-configure-win .imgTriangle { width: 5px; height: 5px; background: #333;}
+
+.acc-list {
+	font-family: "Trebuchet MS", Tahoma, Verdana, Arial, sans-serif; 
+	font-size:11px;
+	color:#555; 
+}
+
+.acc-list h3{
+	font-family: "Trebuchet MS", Tahoma, Verdana, Arial, sans-serif; 
+	font-size:11px; 
+	color:#555; 
+	margin:0; 
+	padding:5px 3px; 
+	background-color:#fff;
+}
+
+.acc-list ul{ margin:5px 0;}
+.acc-list ul li{ border-radius:3px; padding:3px;}
+.label-configure-win .acc-list ul li:hover {background-color:#DDD;}
+.label-configure-win .acc-list ul li.active {background-color:#EB8F00;}
+.label-configure-win .acc-list ul li strong {display:block;}
+.label-configure-win .acc-list ul li em {display:block;}
+
+.label-configure-win .configure-label-content {
+	width:590px;
+	height:335px;
+	float:left;
+	border: 1px solid #A6C9E2; 
+	margin:2px 0 0 0;
+	-moz-border-radius: 5px; 
+	-webkit-border-radius: 5px;
+}
+.label-configure-win .acc-list.list-label-content{
+	width:190px;
+	height:368px;
+	float:left;
+	margin:2px 10px 0 5px;
+	border: 1px solid #A6C9E2;
+	-moz-border-radius: 5px; 
+	-webkit-border-radius: 5px;
+}
+.label-configure-win .acc-list.list-label{
+	width:150px; 
+	height:70%; 
+	-moz-border-radius: 5px; 
+	-webkit-border-radius: 5px; 
+	margin:10px 0 0 0;
+}
+
+.label-configure-win .label-list-container .label-list { overflow: auto; height: 293px; margin:0px;}
+.label-configure-win .label-list-container .label-list li{ background: #FFF; margin:3px 2px 0 2px; border:1px solid #CCC; width: 162px; height:18px;}
+.label-configure-win .label-list-container .label-list .acc-list ul li{ border-radius:3px; padding:2px;}
+.label-configure-win .label-list-container .label-list li:hover { cursor:pointer; background:#ECEDFF}
+.label-configure-win .label-list-container .label-list li.empty-item { border:0px;}
+.label-configure-win .label-list-container .label-list li.empty-item:hover { cursor : auto; background:white;}
+.label-configure-win .label-list li .button { display:none;}
+.label-configure-win .label-list li:hover .button { display:block; }
+
+#MyMarckersList.list-label .my-labels {	
+	margin: 10px 0 0 20px; 
+	text-align:left; 
+	position: relative; 
+}
+#MyMarckersList.list-label .title-my-labels {
+	margin:0 0 0 5px; 	
+	font-family: Lucida Grande,Lucida Sans,Arial,sans-serif; 
+	font-size:11px;
+	color:#000000; 
+	cursor:pointer;
+}
+#MyMarckersList.list-label .title-my-labels:hover {	
+	color:red !important;	
+	text-decoration: none !important;
+}
+#MyMarckersList.list-label .status-list-labels{display:inline-block; position: absolute;}
+#MyMarckersList.list-label ul {height: auto; margin: 5px 0 0 6px; padding:0; list-style:none; }
+#MyMarckersList.list-label.acc-list ul li{ border-radius:3px;  padding:2px 2px 3px 2px;}
+
+#MyMarckersList.list-label li.label-item{ 
+	cursor:pointer; 
+	background: #FFF; 
+	margin:2px 2px 0 12px; 
+	border:1px solid #CCC; 
+	width: 150px; 
+	height:13px; 
+}
+
+.label-configure-win .insert-label{width: 200px; outline:0; background:#FFF;}
+.label-configure-win .attendee-list-add fieldset { height:15px; width: 178px; background:#FFF; margin:5px 2px 20px 2px;}
+.label-configure-win .attendee-list-add fieldset .insert-label{ width:130px; border:#FFF; outline: 0 none; margin:0; }
+.label-configure-win .color-suggestions { margin: 10px 0 30px 0; }
+.label-configure-win .form-item { margin: 5px 0;}
+.label-configure-win .selectedDefault { background: #fed4b4; border: 1px solid #fb8c37; -moz-border-radius: 5px; -webkit-border-radius:5px; }
+.label-configure-win .edit-value-list { opacity:0.65; margin-top:0; width:115px;}
+
+#listMarkers{width: 800px !important;}
+.label-configure-win .add-label-button { float:right; cursor: pointer; }
+
+.configure-zebra-dialog {z-index:1007 !important;}
+
+span.removeLabeled {margin:0 5px 0 5px;font-weight: bold; float:right;}
+span.removeLabeled:hover {color: #CCC;}
+
+span.removeLabeledMsg {margin:0 5px 0 5px;font-weight: bold;}
+span.removeLabeledMsg:hover {cursor: pointer;}
Index: /trunk/prototype/modules/calendar/css/layout.css
===================================================================
--- /trunk/prototype/modules/calendar/css/layout.css	(revision 5901)
+++ /trunk/prototype/modules/calendar/css/layout.css	(revision 6167)
@@ -794,2 +794,461 @@
 #dialog input, #dialog textarea { width: 95%; }
 	*/
+
+/*Antigo style.css*/
+
+/* 
+	Document   : style.css
+	Created on : 10/09/2011, 10:13:12
+	Author     : prognus
+	Description: contains all styles related to elements look-and-feel
+*/
+
+
+#tabs {
+	background-color: transparent;
+}
+
+.tip { line-height: 1.3em; }
+
+.expresso-calendar-container a {
+	text-decoration: none; 
+}
+.expresso-calendar-container ul, 
+.expresso-calendar-container dl, 
+.expresso-calendar-container ol { 
+	margin: 5px 0; padding: 0; 
+	list-style: none;
+}
+.expresso-calendar-container #trash {
+	color: #ADADAD;
+}
+.expresso-calendar-container #trash.empty {
+	background-image: url(../img/trash-empty.png);
+	background-repeat: no-repeat;
+	background-position: bottom center;
+}
+
+.expresso-calendar-container #trash.full {
+	background-image: url(../img/trash-full.png);
+	background-repeat: no-repeat;
+	background-position: bottom center;
+}
+
+.expresso-calendar-container #trash label {
+	display: none;
+}
+
+.ui-dialog { padding: 0; }
+.ui-dialog .ui-dialog-content { background-color: #fff; }
+.ui-dialog .ui-dialog-title { margin:0; }
+.ui-dialog .ui-button-text-only .ui-button-text { padding: 0.4em 1em; }
+
+.new-event-win fieldset { border: none;	margin: 0; padding: 0; }
+.new-event-win fieldset.tab-level2 { padding: 0px 5px; }
+.new-event-win fieldset fieldset, .new-event-win fieldset.tab-level2 fieldset { padding: 5px 0; }
+
+.hidden {
+	display: none;
+	visibility: hidden;
+}
+
+.header-menu-container, .footer-menu-container,
+.menu-container.header-container, .menu-container.footer-container {
+	display:block;
+	width: 100%;
+	margin: 0;
+	padding: 10px 0;
+	background-color: #E0EEEE;
+	text-align: right;
+}
+
+.preferences-win .header-menu-container,
+.configure-calendars-win .header-menu-container {
+	margin: -10px 0 10px;
+}
+
+.preferences-win .header-menu-container,
+.configure-calendars-win .header-menu-container {
+	-moz-box-shadow: 0 3px 4px #AAAAAA;
+	-webkit-box-shadow: 0 3px 4px #AAAAAA;
+	box-shadow: 0 3px 4px #AAAAAA;
+}
+
+.preferences-win .footer-menu-container,
+.configure-calendars-win .footer-menu-container {
+	margin: 10px 0 10px;
+}
+
+.preferences-win .footer-menu-container,
+.configure-calendars-win .footer-menu-container {
+	-moz-box-shadow: 0 3px 4px #AAAAAA;
+	-webkit-box-shadow: 0 3px 4px #AAAAAA;
+	box-shadow: 0 3px 4px #AAAAAA;
+}
+
+.ui-dialog .ui-dialog-content { padding: 0; }
+.new-event-win div.div-addevent { padding: 0; width: 700px; border: 0;}
+.new-event-win form.form-addevent { padding: 9px; }
+
+.expresso-calendar-container input[type="text"] { height: 18px; }
+.expresso-calendar-container input[type="text"], 
+.expresso-calendar-container textarea, 
+.expresso-calendar-container select {
+	border: 1px solid #CFCFCF;
+	font-size: 12px;
+	height: 20px;
+}
+
+.expresso-calendar-container textarea, 
+.expresso-calendar-container select { 
+/*	vertical-align: super; */
+	vertical-align: middle; 
+}
+
+.expresso-calendar-container input.date, 
+.expresso-calendar-container input.time { 
+	width:80px; 
+}
+
+.expresso-calendar-container input.h1,
+.new-event-win input.h1 {
+	font-size: 150%;
+	font-weight: bold;
+	width: 64%;
+	height: 150%;
+}
+
+.new-event-win textarea {
+	width:600px;
+	height: 210px;
+	border: 1px solid #CFCFCF;
+	padding: 0px;
+}
+
+span.input-group { display: block; }
+/*p.input-group label { vertical-align: top; }*/
+.new-event-win p.input-group label { display: inline-block; width: 65px;}
+.new-event-win p.input-group label.input-group { display: inline-block; width: 110px; font-weight: bold;}
+
+input.number {text-align: right}
+input.input-tiny, input.tiny {width: 40px;}
+input.input-small, input.small {width: 80px;}
+input.input-medium, input.medium {width: 160px;}
+input.input-large, input.large {width: 260px;}
+
+label.label-tiny, label.tiny {width: 40px;}
+label.label-small, label.small {width: 80px;}
+label.label-medium, label.medium {width: 160px;}
+label.label-large, label.large {width: 260px;}
+
+select.select-tiny, select.tiny {width: 40px;}
+select.select-small, select.small {width: 80px;}
+select.select-medium, select.medium {width: 160px;}
+select.select-large, select.large {width: 260px;}
+
+.new-event-win fieldset.event-repeat-container label, 
+.new-event-win p.input-group.event-repeat-weekly label, 
+.new-event-win p.input-group.event-repeat-monthly label {
+	width: auto; 
+}
+
+.new-event-win fieldset.input-field-rounded,
+.new-event-win fieldset.search-field,
+.new-event-win fieldset.block-add-attendee-permissions,
+.new-event-win fieldset.block-attendee-list {
+	border:1px solid #CFCFCF;
+}
+
+.new-event-win fieldset.block-attendee-list { width: 300px; max-height:180px; padding: 5px; float: left;}
+.new-event-win fieldset.block-attendee-list ul {  height:160px; overflow: auto;}
+
+
+/* # add attendee */
+
+#tabs.ui-widget-content {
+	border:none;
+}
+#tabs .ui-widget-header {
+	background: none;
+	background-image: none;
+	border: none;
+	border-bottom: 1px solid #4297D7;
+	margin-bottom: 5px;
+}
+
+#calendar.ui-tabs-panel {
+	padding: 0;
+}
+
+.mini-calendar .ui-datepicker { width: auto; background: none repeat scroll 0 0 transparent; }
+.mini-calendar .ui-datepicker  table{width:190px;}
+.mini-calendar .ui-widget-content {	border: none; background-color: transparent; }
+.mini-calendar .ui-widget-header { background: transparent; color: #000; border: 0 none;}
+
+/* fc custumize */
+
+.blocked-event div, .blocked-event-permision div{
+background: -moz-linear-gradient(-45deg,  rgba(0,0,0,0) 0%, rgba(0,0,0,0) 1%, rgba(0,0,0,0.1) 5%, rgba(0,0,0,0) 9%, rgba(0,0,0,0) 13%, rgba(0,0,0,0.1) 17%, rgba(0,0,0,0) 21%, rgba(0,0,0,0) 25%, rgba(0,0,0,0.1) 29%, rgba(0,0,0,0) 33%, rgba(0,0,0,0) 37%, rgba(0,0,0,0.1) 41%, rgba(0,0,0,0) 45%, rgba(0,0,0,0) 49%, rgba(0,0,0,0.1) 53%, rgba(0,0,0,0) 57%, rgba(0,0,0,0) 61%, rgba(0,0,0,0.1) 65%, rgba(0,0,0,0) 69%, rgba(0,0,0,0) 73%, rgba(0,0,0,0.1) 77%, rgba(0,0,0,0.01) 81%, rgba(0,0,0,0) 85%, rgba(0,0,0,0.1) 89%, rgba(0,0,0,0) 93%, rgba(0,0,0,0) 97%, rgba(0,0,0,0) 100%); /* FF3.6+ */
+background: -webkit-gradient(linear, left top, right bottom, color-stop(0%,rgba(0,0,0,0)), color-stop(1%,rgba(0,0,0,0)), color-stop(5%,rgba(0,0,0,0.1)), color-stop(9%,rgba(0,0,0,0)), color-stop(13%,rgba(0,0,0,0)), color-stop(17%,rgba(0,0,0,0.1)), color-stop(21%,rgba(0,0,0,0)), color-stop(25%,rgba(0,0,0,0)), color-stop(29%,rgba(0,0,0,0.1)), color-stop(33%,rgba(0,0,0,0)), color-stop(37%,rgba(0,0,0,0)), color-stop(41%,rgba(0,0,0,0.1)), color-stop(45%,rgba(0,0,0,0)), color-stop(49%,rgba(0,0,0,0)), color-stop(53%,rgba(0,0,0,0.1)), color-stop(57%,rgba(0,0,0,0)), color-stop(61%,rgba(0,0,0,0)), color-stop(65%,rgba(0,0,0,0.1)), color-stop(69%,rgba(0,0,0,0)), color-stop(73%,rgba(0,0,0,0)), color-stop(77%,rgba(0,0,0,0.1)), color-stop(81%,rgba(0,0,0,0.01)), color-stop(85%,rgba(0,0,0,0)), color-stop(89%,rgba(0,0,0,0.1)), color-stop(93%,rgba(0,0,0,0)), color-stop(97%,rgba(0,0,0,0)), color-stop(100%,rgba(0,0,0,0))); /* Chrome,Safari4+ */
+background: -webkit-linear-gradient(-45deg,  rgba(0,0,0,0) 0%,rgba(0,0,0,0) 1%,rgba(0,0,0,0.1) 5%,rgba(0,0,0,0) 9%,rgba(0,0,0,0) 13%,rgba(0,0,0,0.1) 17%,rgba(0,0,0,0) 21%,rgba(0,0,0,0) 25%,rgba(0,0,0,0.1) 29%,rgba(0,0,0,0) 33%,rgba(0,0,0,0) 37%,rgba(0,0,0,0.1) 41%,rgba(0,0,0,0) 45%,rgba(0,0,0,0) 49%,rgba(0,0,0,0.1) 53%,rgba(0,0,0,0) 57%,rgba(0,0,0,0) 61%,rgba(0,0,0,0.1) 65%,rgba(0,0,0,0) 69%,rgba(0,0,0,0) 73%,rgba(0,0,0,0.1) 77%,rgba(0,0,0,0.01) 81%,rgba(0,0,0,0) 85%,rgba(0,0,0,0.1) 89%,rgba(0,0,0,0) 93%,rgba(0,0,0,0) 97%,rgba(0,0,0,0) 100%); /* Chrome10+,Safari5.1+ */
+background: -o-linear-gradient(-45deg,  rgba(0,0,0,0) 0%,rgba(0,0,0,0) 1%,rgba(0,0,0,0.1) 5%,rgba(0,0,0,0) 9%,rgba(0,0,0,0) 13%,rgba(0,0,0,0.1) 17%,rgba(0,0,0,0) 21%,rgba(0,0,0,0) 25%,rgba(0,0,0,0.1) 29%,rgba(0,0,0,0) 33%,rgba(0,0,0,0) 37%,rgba(0,0,0,0.1) 41%,rgba(0,0,0,0) 45%,rgba(0,0,0,0) 49%,rgba(0,0,0,0.1) 53%,rgba(0,0,0,0) 57%,rgba(0,0,0,0) 61%,rgba(0,0,0,0.1) 65%,rgba(0,0,0,0) 69%,rgba(0,0,0,0) 73%,rgba(0,0,0,0.1) 77%,rgba(0,0,0,0.01) 81%,rgba(0,0,0,0) 85%,rgba(0,0,0,0.1) 89%,rgba(0,0,0,0) 93%,rgba(0,0,0,0) 97%,rgba(0,0,0,0) 100%); /* Opera 11.10+ */
+background: -ms-linear-gradient(-45deg,  rgba(0,0,0,0) 0%,rgba(0,0,0,0) 1%,rgba(0,0,0,0.1) 5%,rgba(0,0,0,0) 9%,rgba(0,0,0,0) 13%,rgba(0,0,0,0.1) 17%,rgba(0,0,0,0) 21%,rgba(0,0,0,0) 25%,rgba(0,0,0,0.1) 29%,rgba(0,0,0,0) 33%,rgba(0,0,0,0) 37%,rgba(0,0,0,0.1) 41%,rgba(0,0,0,0) 45%,rgba(0,0,0,0) 49%,rgba(0,0,0,0.1) 53%,rgba(0,0,0,0) 57%,rgba(0,0,0,0) 61%,rgba(0,0,0,0.1) 65%,rgba(0,0,0,0) 69%,rgba(0,0,0,0) 73%,rgba(0,0,0,0.1) 77%,rgba(0,0,0,0.01) 81%,rgba(0,0,0,0) 85%,rgba(0,0,0,0.1) 89%,rgba(0,0,0,0) 93%,rgba(0,0,0,0) 97%,rgba(0,0,0,0) 100%); /* IE10+ */
+background: linear-gradient(-45deg,  rgba(0,0,0,0) 0%,rgba(0,0,0,0) 1%,rgba(0,0,0,0.1) 5%,rgba(0,0,0,0) 9%,rgba(0,0,0,0) 13%,rgba(0,0,0,0.1) 17%,rgba(0,0,0,0) 21%,rgba(0,0,0,0) 25%,rgba(0,0,0,0.1) 29%,rgba(0,0,0,0) 33%,rgba(0,0,0,0) 37%,rgba(0,0,0,0.1) 41%,rgba(0,0,0,0) 45%,rgba(0,0,0,0) 49%,rgba(0,0,0,0.1) 53%,rgba(0,0,0,0) 57%,rgba(0,0,0,0) 61%,rgba(0,0,0,0.1) 65%,rgba(0,0,0,0) 69%,rgba(0,0,0,0) 73%,rgba(0,0,0,0.1) 77%,rgba(0,0,0,0.01) 81%,rgba(0,0,0,0) 85%,rgba(0,0,0,0.1) 89%,rgba(0,0,0,0) 93%,rgba(0,0,0,0) 97%,rgba(0,0,0,0) 100%); /* W3C */
+filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#00000000', endColorstr='#00000000',GradientType=1 ); /* IE6-9 fallback on horizontal gradient */
+}
+
+.blocked-event-permision {cursor: hand}
+
+.fc-state-default .fc-button-effect span {
+    background: none;
+    border:none;
+}
+
+.fc-header-title h2 {
+    color:#555;
+}
+.fc-state-default, .fc-state-default .fc-button-inner {
+    color: #555555;
+    text-transform: capitalize;
+}
+
+.fc-state-active, .fc-state-active .fc-button-inner {
+    color: #FFFFFF;
+}
+
+.block-vertical-toolbox .button.add {
+    width:190px;
+}
+
+.fc-header .fc-state-active, .fc-header .ui-state-active {
+    z-index: auto;
+}
+
+.fc-year-monthly-header {
+    font-weight: bold;    
+}
+
+.fc-year-have-event {
+    background: none repeat scroll 0 0 transparent !important;
+    
+}
+.fc-year-have-event .fc-day-number {
+    background: #F3F3F3;
+    box-shadow: 0 0 3px rgba(0, 0, 0, 0.4);
+    border-color: #CCC #BBB #AAA;
+    border-style: solid;
+    border-width: 1px;
+    border-radius: 4px;
+    -moz-border-radius:4px;
+    -webkit-border-radius:4px;
+}
+
+.fc-year-main-table div:hover .fc-day-number  {
+	cursor: pointer;
+	font-weight: bold;
+}
+
+/* preferences */
+
+.expresso-calendar-container h3 {
+    border-bottom: 2px solid #E17009;
+    font-size: 170%;
+    margin-bottom: 10px;
+    padding-bottom: 2px;
+}
+
+.expresso-calendar-container fieldset legend {/*font-size:1.3em;*/ font-weight:bold;}
+
+.preferences-win a {
+  text-decoration: underline;
+  font-weight:bold;
+  font-size:1.05em;
+  cursor:pointer;
+}
+
+.preferences-win ul li {list-style: none;}
+
+
+.preferences-win fieldset {
+  border:1px solid #CFCFCF;
+}
+
+.preferences-win fieldset.no-legend {
+    margin: 0;
+    padding: 5px 0;
+    border: none;
+}
+
+.preferences-win hr {
+  margin: 10px 0;
+  padding: 0 10px;
+  /*background:#FFFF85;
+  border: 1px solid #FFE74D;*/
+}
+
+.preferences-win #preferences_especific_calendar_details fieldset {
+  border: 0 none;
+}
+
+
+/* Geral */
+fieldset.background-fields {
+  background:#FFFF85;
+  border: 2px solid #FFE74D;
+  -moz-border-radius: 15px;
+  -webkit-border-radius: 15px;
+}
+
+.button.small.ui-button-text-only .ui-button-text {
+    font-size: 0.9em;
+    padding: 0.1em 0.6em;
+}
+
+.attendees-list dd.attedee-organizer {
+	border-bottom: 1px solid #BFBFBF;
+	margin-bottom: 5px;
+}
+
+/* Events List */
+.events-list-win th, .events-list-win td {
+  padding: 15px 0px 15px 0;
+  vertical-align: middle;
+  border-bottom: 1px solid #ccc;
+}
+
+.events-list-win .last-row th, .events-list-win .last-row td {
+  border-bottom: 1px solid #ccc;
+}
+
+.events-list-win table {
+  width: 100%;
+  float: left;
+}
+
+.events-list-win table a {
+  color: rgb(48, 72, 126) !important;
+  cursor: pointer;
+}
+
+.events-list-win table img {
+  width: 12px;
+  height: 12px;
+  padding: 0 2px;
+}
+
+.events-list-win table span { font-size:12px; }
+.events-list-win table .same-start-date * { border: 0; }
+.events-list-win table tr.last-event-same-start-date,
+.events-list-win table tr.last-event-same-start-date th,
+.events-list-win table tr.last-event-same-start-date td { border-bottom: 1px solid #ccc;}
+.events-list-win table th.start-date-multiple-events { border-bottom: 1px solid #ccc; }
+
+.events-list-win table .title {
+    font-size: 150%;
+    font-weight: bold;
+}
+
+.events-list-win .pagination-events {
+  margin: 10px 0;
+  text-align: center;
+} 
+
+.expresso-calendar-container .search-field { background-color: #FFF;}
+.expresso-calendar-container .search-field input { border:none;}
+
+.ui-tabs .ui-tabs-panel { padding: 0; margin-top: 10px;}
+
+.ui-tabs .ui-tabs-nav li .ui-icon-close {
+    float: right;
+    margin: 5px 5px 0 -5px;
+}
+
+.cal_day {
+    display: inline;
+    background: url("assets/day.png") no-repeat scroll center top transparent;
+    float: left;
+    height: 95px;
+    margin: 0 4px 4px 0 !important;
+    position: relative;
+    width: 128px;
+}
+.cal_day .day_heading {
+    color: #FFFFFF;
+    float: left;
+    font: 14px Arial;
+    height: 16px;
+    padding: 6px;
+    position: relative;
+    text-transform: uppercase;
+    width: 40px;
+}
+.cal_day .day_number {
+    clear: left;
+    color: #2B2B2B;
+    font: bold 52px Arial;
+    height: 95px;
+    text-align: center;
+    width: 100%;
+    z-index: 999;
+}
+
+
+/* Events List */
+.details-event-list {
+  background-color: #FFF;
+}
+
+/* Import and Export*/
+
+.import-export-win .ui-widget-header {
+    background: none;
+}
+
+.import-export-win .ui-tabs-nav {
+    border: none;
+    border-bottom: 1px solid #4297D7 !important;
+}
+
+.configure-calendars-win fieldset.user-calendar fieldset {
+    border:1px solid #CCC;
+    margin: 0 0 10px 0;
+    padding: 5px;
+    -moz-border-radius:5px;
+    -webkit-border-radius:5px;
+    border-radius:5px;
+}
+
+.ui-datepicker-buttonpane button.ui-datepicker-current {
+	display : none;
+}
+
+.ui_tpicker_time{
+	display : none;
+}
+.ui_tpicker_time_label{
+	display : none;
+}
+.block-vertical-toolbox .ui-datepicker-month, 
+.block-vertical-toolbox .ui-datepicker-year {
+	cursor: pointer;
+}
+/*Normaliza de todos os inputs disabled para fonte-color #333*/
+textarea:disabled, input:disabled{color: #333 !important;}
+
+
+.map-event{
+	border-style: dashed;
+	border-width: 2px;
+	border-color: #36C;
+	background-color: transparent;
+	color: black;
+}
+
+
+#new_event_map .map-event .fc-event-head.fc-event-skin,.fc-event-inner.fc-event-skin{
+	border-color: transparent;
+}
+
+#new_event_map .map-event .fc-event-head,#new_event_map .map-event .fc-event-content{
+	color: transparent;
+}
Index: /trunk/expressoMail1_2/index.php
===================================================================
--- /trunk/expressoMail1_2/index.php	(revision 6065)
+++ /trunk/expressoMail1_2/index.php	(revision 6167)
@@ -28,5 +28,5 @@
 	echo '  			
 		<link rel="stylesheet" type="text/css" href="../prototype/plugins/fullcalendar/fullcalendar.css"></link>
-		<link rel="stylesheet" type="text/css" href="../prototype/plugins/fullcalendar/fullcalendar.print.css"></link> 
+		<!-- <link rel="stylesheet" type="text/css" href="../prototype/plugins/fullcalendar/fullcalendar.print.css"></link> --> 
 		<link rel="stylesheet" type="text/css" href="../prototype/plugins/icalendar/jquery.icalendar.css"></link>
 	
@@ -51,4 +51,5 @@
 		
 		<link rel="stylesheet" href="../prototype/plugins/farbtastic/farbtastic.css" type="text/css" >	
+		
 		<script type="text/javascript" src="../prototype/plugins/zebradialog/javascript/zebra_dialog.js"></script>
 		<script type="text/javascript" src="../prototype/plugins/datejs/date-pt-BR.js"></script>
@@ -112,7 +113,8 @@
 		<script src="../prototype/modules/mail/js/label.js" type="text/javascript"></script>	
 		<script src="../prototype/modules/mail/js/followupflag.js" type="text/javascript"></script>
+		
 		<link rel="stylesheet" href="../prototype/modules/mail/css/followupflag.css" type="text/css" />
 		<link rel="stylesheet" href="../prototype/modules/attach_message/attach_message.css" type="text/css" />
-		<link rel="stylesheet" href="../prototype/modules/mail/css/label.css" type="text/css" />';	
+		<!-- <link rel="stylesheet" href="../prototype/modules/mail/css/label.css" type="text/css" /> -->';	
 	
 	/*
@@ -318,5 +320,5 @@
 	<link rel="Stylesheet" type="text/css" href="../prototype/plugins/timepicker/jquery-ui-timepicker-addon.css" />
 	<link rel="stylesheet" type="text/css" href="../prototype/modules/calendar/css/layout.css" />
-	<link rel="stylesheet" type="text/css" href="../prototype/modules/calendar/css/style.css" />
+	<!-- <link rel="stylesheet" type="text/css" href="../prototype/modules/calendar/css/style.css" /> -->
 	<script type="text/javascript" src="../prototype/modules/filters/filters.js"></script>
 	';