Index: trunk/prototype/plugins/fullcalendar/fullcalendar.css
===================================================================
--- trunk/prototype/plugins/fullcalendar/fullcalendar.css	(revision 6167)
+++ trunk/prototype/plugins/fullcalendar/fullcalendar.css	(revision 6172)
@@ -648,127 +648,2 @@
 	filter:alpha(opacity=0); /* For IE8 and earlier */
 }
-
-/*Antigo arquivo fullcalendar.print.css*/
-
-/*
- * FullCalendar v1.5.3 Print Stylesheet
- *
- * Include this stylesheet on your page to get a more printer-friendly calendar.
- * When including this stylesheet, use the media='print' attribute of the <link> tag.
- * Make sure to include this stylesheet IN ADDITION to the regular fullcalendar.css.
- *
- * Copyright (c) 2011 Adam Shaw
- * Dual licensed under the MIT and GPL licenses, located in
- * MIT-LICENSE.txt and GPL-LICENSE.txt respectively.
- *
- * Date: Mon Feb 6 22:40:40 2012 -0800
- *
- */
- 
- 
- /* Events
------------------------------------------------------*/
- 
-.fc-event-skin {
-	background: none !important;
-	color: #000 !important;
-	}
-	
-/* horizontal events */
-	
-.fc-event-hori {
-	border-width: 0 0 1px 0 !important;
-	border-bottom-style: dotted !important;
-	border-bottom-color: #000 !important;
-	padding: 1px 0 0 0 !important;
-	}
-	
-.fc-event-hori .fc-event-inner {
-	border-width: 0 !important;
-	padding: 0 1px !important;
-	}
-	
-/* vertical events */
-	
-.fc-event-vert {
-	border-width: 0 0 0 1px !important;
-	border-left-style: dotted !important;
-	border-left-color: #000 !important;
-	padding: 0 1px 0 0 !important;
-	}
-	
-.fc-event-vert .fc-event-inner {
-	border-width: 0 !important;
-	padding: 1px 0 !important;
-	}
-	
-.fc-event-bg {
-	display: none !important;
-	}
-	
-.fc-event .ui-resizable-handle {
-	display: none !important;
-	}
-
-/*Antigo fullcalendar.print.css*/
-
-/*
- * FullCalendar v1.5.3 Print Stylesheet
- *
- * Include this stylesheet on your page to get a more printer-friendly calendar.
- * When including this stylesheet, use the media='print' attribute of the <link> tag.
- * Make sure to include this stylesheet IN ADDITION to the regular fullcalendar.css.
- *
- * Copyright (c) 2011 Adam Shaw
- * Dual licensed under the MIT and GPL licenses, located in
- * MIT-LICENSE.txt and GPL-LICENSE.txt respectively.
- *
- * Date: Mon Feb 6 22:40:40 2012 -0800
- *
- */
- 
- 
- /* Events
------------------------------------------------------*/
- 
-.fc-event-skin {
-	background: none !important;
-	color: #000 !important;
-	}
-	
-/* horizontal events */
-	
-.fc-event-hori {
-	border-width: 0 0 1px 0 !important;
-	border-bottom-style: dotted !important;
-	border-bottom-color: #000 !important;
-	padding: 1px 0 0 0 !important;
-	}
-	
-.fc-event-hori .fc-event-inner {
-	border-width: 0 !important;
-	padding: 0 1px !important;
-	}
-	
-/* vertical events */
-	
-.fc-event-vert {
-	border-width: 0 0 0 1px !important;
-	border-left-style: dotted !important;
-	border-left-color: #000 !important;
-	padding: 0 1px 0 0 !important;
-	}
-	
-.fc-event-vert .fc-event-inner {
-	border-width: 0 !important;
-	padding: 1px 0 !important;
-	}
-	
-.fc-event-bg {
-	display: none !important;
-	}
-	
-.fc-event .ui-resizable-handle {
-	display: none !important;
-	}
-
Index: trunk/expressoMail1_2/index.php
===================================================================
--- trunk/expressoMail1_2/index.php	(revision 6167)
+++ trunk/expressoMail1_2/index.php	(revision 6172)
@@ -26,7 +26,7 @@
 	echo "<script src='js/modal/modal.js'></script>";
 	//jquery and Editor 
-	echo '  			
+	echo ' 			
 		<link rel="stylesheet" type="text/css" href="../prototype/plugins/fullcalendar/fullcalendar.css"></link>
-		<!-- <link rel="stylesheet" type="text/css" href="../prototype/plugins/fullcalendar/fullcalendar.print.css"></link> --> 
+		<link rel="stylesheet" type="text/css" href="../prototype/plugins/fullcalendar/fullcalendar.print.css"></link>
 		<link rel="stylesheet" type="text/css" href="../prototype/plugins/icalendar/jquery.icalendar.css"></link>
 	
@@ -320,5 +320,5 @@
 	<link rel="Stylesheet" type="text/css" href="../prototype/plugins/timepicker/jquery-ui-timepicker-addon.css" />
 	<link rel="stylesheet" type="text/css" href="../prototype/modules/calendar/css/layout.css" />
-	<!-- <link rel="stylesheet" type="text/css" href="../prototype/modules/calendar/css/style.css" /> -->
+	<!--<link rel="stylesheet" type="text/css" href="../prototype/modules/calendar/css/style.css" /> -->
 	<script type="text/javascript" src="../prototype/modules/filters/filters.js"></script>
 	';
Index: trunk/expressoMail1_2/js/draw_api.js
===================================================================
--- trunk/expressoMail1_2/js/draw_api.js	(revision 6153)
+++ trunk/expressoMail1_2/js/draw_api.js	(revision 6172)
@@ -3513,5 +3513,5 @@
 			return false;
 		},
-		autoFocus: true,
+		autoFocus: true
 	}).data( "autocomplete" )._renderItem = function( ul, item ) {
 		ul.css({"max-height" : "115px", "overflow-y" : "auto"});