Index: /trunk/jabberit_messenger/jmessenger/js/jscode/loadIM.mini.js
===================================================================
--- /trunk/jabberit_messenger/jmessenger/js/jscode/loadIM.mini.js	(revision 5183)
+++ /trunk/jabberit_messenger/jmessenger/js/jscode/loadIM.mini.js	(revision 6179)
@@ -315,5 +315,5 @@
 function loadIM()
 {if(arguments.length>0)
-{var files=[path_jabberit+'templates/default/css/button.css',path_jabberit+'templates/default/css/common.css',path_jabberit+'templates/default/css/selectEditableStyle.css',path_jabberit+'templates/default/css/'+theme_jabberit];fullName=arguments[0];_preferencesIM=arguments[1].split(";");path_phpgwapi=arguments[2];if(!_preferencesIM[3])_preferencesIM[3]="showContactsOfflineJabberit:true";loadScripts(files);setTimeout(function()
+{var files=[/*path_jabberit+'templates/default/css/button.css',*/path_jabberit+'templates/default/css/common.css',/*path_jabberit+'templates/default/css/selectEditableStyle.css',*/path_jabberit+'templates/default/css/'+theme_jabberit];fullName=arguments[0];_preferencesIM=arguments[1].split(";");path_phpgwapi=arguments[2];if(!_preferencesIM[3])_preferencesIM[3]="showContactsOfflineJabberit:true";loadScripts(files);setTimeout(function()
 {if(Xtools==null)
 Xtools=new xtools(path_jabberit);if(conn==null)
Index: /trunk/jabberit_messenger/inc/jabberit_acl.inc.php
===================================================================
--- /trunk/jabberit_messenger/inc/jabberit_acl.inc.php	(revision 5320)
+++ /trunk/jabberit_messenger/inc/jabberit_acl.inc.php	(revision 6179)
@@ -114,6 +114,6 @@
 			print '<link rel="stylesheet" type="text/css" href="' . $webserver_url . 'templates/default/css/'.$theme.'" >';
 			print '<link rel="stylesheet" type="text/css" href="' . $webserver_url . 'templates/default/css/common.css" >';
-			print '<link rel="stylesheet" type="text/css" href="' . $webserver_url . 'templates/default/css/button.css" >';
-			print '<link rel="stylesheet" type="text/css" href="' . $webserver_url . 'templates/default/css/selectEditStyle.css" >';		
+			//print '<link rel="stylesheet" type="text/css" href="' . $webserver_url . 'templates/default/css/button.css" >';
+			//print '<link rel="stylesheet" type="text/css" href="' . $webserver_url . 'templates/default/css/selectEditStyle.css" >';		
 	
 			printf("<script type=\"text/javascript\">%s</script>", $script);
Index: /trunk/jabberit_messenger/templates/default/css/common.css
===================================================================
--- /trunk/jabberit_messenger/templates/default/css/common.css	(revision 3102)
+++ /trunk/jabberit_messenger/templates/default/css/common.css	(revision 6179)
@@ -138,2 +138,233 @@
 	margin:10px;
 }
+
+
+/*Antigo button.css*/
+.x-btn
+{
+	-x-system-font:none;
+	font-family:tahoma,verdana,helvetica;
+	font-size:11px;
+	font-size-adjust:none;
+	font-stretch:normal;
+	font-style:normal;
+	font-variant:normal;
+	font-weight:normal;
+	line-height:normal;
+	white-space:nowrap;
+}
+
+.x-btn td 
+{
+	padding:0 !important;
+}
+
+.x-btn-tl, .x-btn-tr, .x-btn-tc, .x-btn-ml, .x-btn-mr, .x-btn-mc, .x-btn-bl, .x-btn-br, .x-btn-bc 
+{
+	background-image: url(../images/btn.gif) !important;
+}
+
+.x-btn-tl 
+{
+	-moz-background-clip:border;
+	-moz-background-inline-policy:continuous;
+	-moz-background-origin:padding;
+	background:transparent none no-repeat scroll 0 0;
+	height:3px;
+	width:3px;
+}
+
+.x-btn-tr i, .x-btn-tl i, .x-btn-br i, .x-btn-bl i
+{
+	height:3px;
+}
+
+.x-btn-tc
+{
+	-moz-background-clip:border;
+	-moz-background-inline-policy:continuous;
+	-moz-background-origin:padding;
+	background:transparent none repeat-x scroll 0 -6px;
+	height:3px;
+}
+
+.x-btn-tr 
+{
+	-moz-background-clip:border;
+	-moz-background-inline-policy:continuous;
+	-moz-background-origin:padding;
+	background:transparent none no-repeat scroll -3px 0;
+	height:3px;
+	width:3px;
+}
+
+.x-btn-tr i, .x-btn-tl i, .x-btn-mr i, .x-btn-ml i, .x-btn-br i, .x-btn-bl i
+{
+	display:block;
+	font-size:1px;
+	line-height:1px;
+	overflow:hidden;
+	width:3px;
+}
+
+.x-btn-ml
+{
+	-moz-background-clip:border;
+	-moz-background-inline-policy:continuous;
+	-moz-background-origin:padding;
+	background:transparent none no-repeat scroll 0 -24px;
+	width:3px;
+}
+
+.x-btn-mc
+{
+	-moz-background-clip:border;
+	-moz-background-inline-policy:continuous;
+	-moz-background-origin:padding;
+	background:transparent none repeat-x scroll 0 -1096px;
+	cursor:pointer;
+	padding:0 5px;
+	text-align:center;
+	vertical-align:middle;
+	white-space:nowrap;
+}
+
+.x-btn em
+{
+	font-style:normal;
+	font-weight:normal;
+}
+
+.x-btn-noicon .x-btn-small .x-btn-text
+{
+	height:16px;
+}
+
+.x-btn button
+{
+	-x-system-font:none;
+	font-family:arial,tahoma,verdana,helvetica;
+	font-size:11px;
+	font-size-adjust:none;
+	font-stretch:normal;
+	font-style:normal;
+	font-variant:normal;
+	font-weight:normal;
+	line-height:normal;
+}
+
+.x-btn button 
+{
+	-moz-background-clip:border;
+	-moz-background-inline-policy:continuous;
+	-moz-background-origin:padding;
+	background:transparent none repeat scroll 0 0;
+	border:0 none !important;
+	cursor:pointer;
+	margin:0;
+	outline-color:-moz-use-text-color;
+	outline-style:none;
+	outline-width:0;
+	overflow:visible;
+	padding-left:3px;
+	padding-right:3px;
+	width:auto;
+}
+
+.x-btn-text
+{
+	color: #000 !important;
+	cursor:pointer;
+	padding:0;
+	white-space:nowrap;
+}
+
+.x-btn-mr
+{
+	-moz-background-clip:border;
+	-moz-background-inline-policy:continuous;
+	-moz-background-origin:padding;
+	background:transparent none no-repeat scroll -3px -24px;
+	width:3px;
+}
+
+.x-btn-bl
+{
+	-moz-background-clip:border;
+	-moz-background-inline-policy:continuous;
+	-moz-background-origin:padding;
+	background:transparent none no-repeat scroll 0 -3px;
+	height:3px;
+	width:3px;
+}
+
+.x-btn-bc
+{
+	-moz-background-clip:border;
+	-moz-background-inline-policy:continuous;
+	-moz-background-origin:padding;
+	background:transparent none repeat-x scroll 0 -15px;
+	height:3px;
+}
+
+.x-btn-br
+{
+	-moz-background-clip:border;
+	-moz-background-inline-policy:continuous;
+	-moz-background-origin:padding;
+	background:transparent none no-repeat scroll -3px -3px;
+	height:3px;
+	width:3px;
+}
+
+/*Antigo selectEditStyle.css*/
+	.selectBoxArrow
+	{
+		margin-top:1px;
+		float:left;
+		position:absolute;
+		right:1px;
+
+	}	
+	
+	.selectBoxInput
+	{
+		font-family: Verdana, Helvetica, sans;
+		font-size: 11px !important;
+		border:0px !important;
+		padding-left:1px;
+		height:16px;
+		position:absolute;
+		bottom:0px;
+		left:0px;
+	}
+
+	.selectBox
+	{
+		border:1px solid #cecece !important;
+		height:20px;	
+	}
+	
+	.selectBoxOptionContainer
+	{
+		position:absolute;
+		border:1px solid #cecece !important;
+		font-size:12px;
+		background-color:#FFF;
+		left:-1px;
+		top:20px;
+		visibility:hidden;
+		height: 100px;
+		overflow-y:auto;
+	}
+
+	.selectBoxAnOption
+	{
+		font-family: Verdana, Helvetica, sans;
+		font-size:12px;
+		cursor:default;
+		margin:1px;
+		overflow:hidden;
+		white-space:nowrap;
+	}
+