Index: /trunk/expressoMail1_2/setup/tables_update.inc.php
===================================================================
--- /trunk/expressoMail1_2/setup/tables_update.inc.php	(revision 5988)
+++ /trunk/expressoMail1_2/setup/tables_update.inc.php	(revision 6185)
@@ -252,8 +252,8 @@
 	}
 	
-		$test[] = '2.4.5';
+	$test[] = '2.4.5';
 	function expressoMail1_2_upgrade2_4_5() {
 		$oProc = $GLOBALS['phpgw_setup']->oProc;
-		/* Seta o valor padrão para a configuração de número máximo de marcadores */
+		/* Seta o valor padrão para a configuração de número mínimo de marcadores */
 		$oProc->query("INSERT INTO phpgw_config(config_app, config_name, config_value) VALUES ('expressoMail1_2', 'expressoMail_limit_labels', 20);");
 		/* Registra o hook de validação do administrador*/
Index: /trunk/expressoMail1_2/inc/class.imap_functions.inc.php
===================================================================
--- /trunk/expressoMail1_2/inc/class.imap_functions.inc.php	(revision 6178)
+++ /trunk/expressoMail1_2/inc/class.imap_functions.inc.php	(revision 6185)
@@ -426,17 +426,30 @@
             $return['reply_toaddress'] = isset($header->reply_toaddress) ? self::decodeMimeString($header->reply_toaddress) : '';
             $return['flag'] = $header->Unseen.$header->Recent.$header->Flagged.$header->Draft.$header->Answered.$header->Deleted.( $return['attachment'] === '1' ? 'T': '' );
-
-            if( isset( $header->to[0] ))
-                $return['to'] = self::formatMailObject( $header->to[0] );
-            else if( isset( $header->cc[0] ))
-                $return['to'] = self::formatMailObject( $header->cc[0] );
-            else if( isset( $header->bcc[0] ))
-                $return['to'] = self::formatMailObject( $header->bcc[0] );
-            else
+			
+			if (!empty($header->to)){
+				foreach ($header->to as $i => $v){
+					$return['to'][$i] = self::formatMailObject( $v );
+				}
+			} 
+			else if (!empty($header->cc)){
+				foreach ($header->cc as $i => $v){
+					$return['to'][$i] = self::formatMailObject( $v );
+				}
+			}
+			else if (!empty($header->bcc)){
+				foreach ($header->bcc as $i => $v){
+					$return['to'][$i] = self::formatMailObject( $v );
+				}
+			}
+			else
                 $return['to'] = array( 'name' => '' , 'email' => '');
-                 
-            if($return['to']['name'] == 'undisclosed-recipients@' || $return['to']['name'] == '@')
-                $return['to'] = $return['from'];
- 
+				
+			if (!empty($return['to'])){
+				foreach ($return['to'] as $i => $v){
+					if($v['name'] == 'undisclosed-recipients@' || $v['name'] == '@')
+						$return['to'][$i] = $return['from'];
+				}
+			}	
+
             if($appendSample !== false)
                 $return['msg_sample'] = $this->get_msg_sample($msg_number);
Index: /trunk/expressoMail1_2/js/draw_api.js
===================================================================
--- /trunk/expressoMail1_2/js/draw_api.js	(revision 6174)
+++ /trunk/expressoMail1_2/js/draw_api.js	(revision 6185)
@@ -1543,17 +1543,28 @@
 		if( (msg_folder.indexOf(special_folders['Sent']) !=-1) && (headers_msgs.from != undefined) && headers_msgs.from.email.toLowerCase() == Element("user_email").value.toLowerCase() && (preferences.from_to_sent == "1") && !(msg_folder.substr(0,5) == "user/"))
 		{
-			td_element3.onmouseover = function () {this.title=headers_msgs.to.email;};
+			td_element3.onmouseover = function () {
+				var title_to = '';
+				$.each(headers_msgs.to, function(index, value) {
+					if(index == (headers_msgs.to.length - 1)){
+						title_to = title_to + value.email;
+					}
+					else {
+						title_to = title_to + value.email + ', ';
+					}
+				});
+				this.title = title_to;
+			};
 			
 			if (headers_msgs.Draft == 'X')
 				td_element3.innerHTML += "<span style=\"color:red\">("+get_lang("Draft")+") </span>";
 			else{
-				if(headers_msgs.to.email != null && headers_msgs.to.email.toLowerCase() != Element("user_email").value)
+				if(headers_msgs.to[0].email != null && headers_msgs.to[0].email.toLowerCase() != Element("user_email").value)
 					td_element24.innerHTML = "<img align='center' src ='templates/"+template+"/images/sent.gif' title='"+get_lang('Sent')+"'>";
 
 				if (headers_msgs.to) {
-					if (headers_msgs.to.name != null)
-						td_element3.innerHTML += headers_msgs.to.name;
-					else if(headers_msgs.to.email != null) {
-						td_element3.innerHTML += headers_msgs.to.email;
+					if (headers_msgs.to[0].name != null)
+						td_element3.innerHTML += headers_msgs.to[0].name;
+					else if(headers_msgs.to[0].email != null) {
+						td_element3.innerHTML += headers_msgs.to[0].email;
 					}
 					else {